package com.iformall.domain.vo;

import com.iformall.domain.po.WxCoupon;

import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @author luozukai
 * coupon 营销分析
 * @date 2019/3/22 17:29
 */
public class WxCouponStatisVo extends WxCoupon {

    @Transient
    private String xtime;
    @Transient
    private String xcount;
    /**售出卡数量**/
    @io.swagger.annotations.ApiModelProperty(value="售出卡数量",name="saleCount")
    @Transient
    private Long saleCount;
    /**转增数量**/
    @io.swagger.annotations.ApiModelProperty(value="转增数量",name="transferCount")
    @Transient
    private Long transferCount;
    /**售出金额**/
    @io.swagger.annotations.ApiModelProperty(value="售出金额",name="saleAmount")
    @Transient
    private Integer saleAmount;
    /**核销数量**/
    @io.swagger.annotations.ApiModelProperty(value="核销数量",name="sumPayment")
    @Transient
    private Integer sumPayment;
    /**退款数量**/
    @io.swagger.annotations.ApiModelProperty(value="退款数量",name="backpayCount")
    @Transient
    private Integer backpayCount;

    /**砍价发起次数**/
    @io.swagger.annotations.ApiModelProperty(value="砍价发起次数",name="pressSendCount")
    @Transient
    private Integer pressSendCount;
    /**砍价成功次数**/
    @io.swagger.annotations.ApiModelProperty(value="砍价成功次数",name="pressSuccCount")
    @Transient
    private Integer pressSuccCount;
    /**砍价参与人数**/
    @io.swagger.annotations.ApiModelProperty(value="砍价参与人数",name="pressJoinCount")
    @Transient
    private Integer pressJoinCount;

    /**商场补贴**/
    @io.swagger.annotations.ApiModelProperty(value="商场补贴",name="sumSubsidy")
    @Transient
    private Integer sumSubsidy;
    /**核销比**/
    @io.swagger.annotations.ApiModelProperty(value="核销比",name="paymentRate")
    @Transient
    private String paymentRate;



    public String getXtime() {
        return xtime;
    }

    public void setXtime(String xtime) {
        this.xtime = xtime;
    }

    public String getXcount() {
        return xcount;
    }

    public void setXcount(String xcount) {
        this.xcount = xcount;
    }

    public Long getSaleCount() {
        return saleCount;
    }

    public void setSaleCount(Long saleCount) {
        this.saleCount = saleCount;
    }

    public Long getTransferCount() {
        return transferCount;
    }

    public void setTransferCount(Long transferCount) {
        this.transferCount = transferCount;
    }

    public Integer getSaleAmount() {
        return saleAmount;
    }

    public void setSaleAmount(Integer saleAmount) {
        this.saleAmount = saleAmount;
    }

    public Integer getSumPayment() {
        return sumPayment;
    }

    public void setSumPayment(Integer sumPayment) {
        this.sumPayment = sumPayment;
    }

    public Integer getBackpayCount() {
        return backpayCount;
    }

    public void setBackpayCount(Integer backpayCount) {
        this.backpayCount = backpayCount;
    }

    public Integer getPressSendCount() {
        return pressSendCount;
    }

    public void setPressSendCount(Integer pressSendCount) {
        this.pressSendCount = pressSendCount;
    }

    public Integer getPressSuccCount() {
        return pressSuccCount;
    }

    public void setPressSuccCount(Integer pressSuccCount) {
        this.pressSuccCount = pressSuccCount;
    }

    public Integer getPressJoinCount() {
        return pressJoinCount;
    }

    public void setPressJoinCount(Integer pressJoinCount) {
        this.pressJoinCount = pressJoinCount;
    }

    public Integer getSumSubsidy() {
        return sumSubsidy;
    }

    public void setSumSubsidy(Integer sumSubsidy) {
        this.sumSubsidy = sumSubsidy;
    }

    public String getPaymentRate() {
        return paymentRate;
    }

    public void setPaymentRate(String paymentRate) {
        this.paymentRate = paymentRate;
    }
}
